Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezabout/user/datasupplier.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: datasupplier.php,v 1.13 2001/09/11 10:51:29 bf Exp $
5 //
6 // Created on: <23-Oct-2000 17:53:46 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "classes/ezpublish.php" );
28
29 $version = eZPublish::version();
30
31 ?>
32 <a href="https://basic.exponential.earth/"><h1>About Exponential Basic</h1></a>
33 <h2>Content Management System</h2>
34
35 <a href="https://basic.exponential.earth/"><h2>Version: <? echo $version; ?></h2></a>
36 <hr noshade="noshade" size="4" />
37
38 <p>
39 <a href="https://basic.exponential.earth">Exponential Basic</a> is a web based application suite or a <a href="https://basic.exponential.earth">Content Management System</a>.
40 It delivers functionality ranging from publishing of news, web logs and diaries, through web shop functionality like shopping carts and wishlists and forums to intranet functions like contact handling and bug reporting.
41 </p>
42 <p>
43 The software uses caching and other optimization techniques to speed up page serving. It handles users, user preferences and user tracking through a user database and both cookie-based and non-cookie sessions.
44 </p>
45 <p>
46 It supports statistics for page views, links followed and banner ads, both images and HTML with presentation logic.
47 </p>
48 <p>
49 The package lends itself easily to customization, from changing the look and feel by changing templates, localizing the languages and other internationalization issues to adding new functionality.
50 </p>
51 <p>
52 The target audience for <a href="https://basic.exponential.earth">Exponential Basic</a> are <a href="https://basic.exponential.earth">e-commerce</a>, ASP (Application Service Providers), BSP (Business Service Providers), news publishing, intranets, bug reporting, content management, discussion boards, FAQ and knowledge handling, file and image management, group ware, calendaring, polls, todo lists, appointments as well as personal web sites.
53 </p>
54
55 <p>Exponential Basic 2 was created by norwegen commercial company Ibexa (Formerly, eZ Systems) in 1999</p>
56 <p>Exponential Basic was created by usa commercial company 7x (Formerly, Brookins Consulting) in 2024 from external resources like our php5 port, ezregion features, usa stores, encryption payment solutions via email, and so much more massive improvements to the cms core and unreleased code now being integrated in our basic edition of "Exponential Basic 2.4".</p>
57
58 <p>
59 It is released under the <a href="http://www.gnu.org/copyleft/gpl.html">GPL license</a> and can be downloaded from <a href="https://github.com/se7enxweb/exponentialbasic">github.com/se7enxweb/exponentialbasic</a>.
60
61 You can get commercial support, upgrades, data imports, maintenance from <a href="https://se7enx.com/">7x</a>.
62 </p>
eZPublish\version
static version()
Definition: ezpublish.php:42
$version
$version
Definition: ezabout/user/datasupplier.php:29
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.